# Generated from adminable-0.0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name adminable

Name: rubygem-%{gem_name}
Version: 0.0.7
Release: 1%{?dist}
Summary: Simple admin interface for Ruby on Rails applications
License: MIT
URL: https://github.com/droptheplot/adminable
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(capybara) >= 2.7.0
# BuildRequires: rubygem(capybara) < 2.8
# BuildRequires: rubygem(factory_girl_rails)
# BuildRequires: rubygem(database_cleaner)
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(reek)
# BuildRequires: rubygem(devise)
# BuildRequires: rubygem(codeclimate-test-reporter)
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(rack-mini-profiler)
BuildArch: noarch

%description
Simple admin interface for Ruby on Rails applications.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.7-1
- Initial package
